From d1a376e4434fa5b7e068c4bf9cec55e3b167fe06 Mon Sep 17 00:00:00 2001
From: Peter Pentchev <roam@ringlet.net>
Date: Wed, 9 Mar 2011 14:39:28 +0200
Subject: [PATCH 01/15] Order the linker arguments properly.

Closes:		#617465
Submitted by:	Tarun Kumar Mall <c2tarun@gmail.com>
---
 debian/changelog               |   15 +++++++++++++++
 debian/patches/unix-port.patch |    4 ++--
 2 files changed, 17 insertions(+), 2 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 06c2c61..f58b0ee 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,18 @@
+alex4 (1.1-4) UNRELEASED; urgency=low
+
+  * Team upload.
+  * Update the unix-port patch a bit:
+    - place the libraries at the end of the linker invocation line to
+      fix the build on Ubuntu natty with the binutils-gold linker.
+      I couldn't reproduce the FTBFS on Debian with
+      binutils-gold-2.21.0.20110302-1, but it seems a really sensible
+      change to make anyway :)
+      Closes: #617465
+    - put the aldumb library before the Allegro libraries that it
+      depends on
+
+ -- Peter Pentchev <roam@ringlet.net>  Wed, 09 Mar 2011 14:14:04 +0200
+
 alex4 (1.1-3) unstable; urgency=low
 
   [ Paul Wise ]
diff --git a/debian/patches/unix-port.patch b/debian/patches/unix-port.patch
index 25d430f..d557c70 100644
--- a/debian/patches/unix-port.patch
+++ b/debian/patches/unix-port.patch
@@ -452,7 +452,7 @@ Based on Hans de Goede's patch for Fedora.
 +PREFIX  = /usr/local
 +DATADIR = $(PREFIX)/share/$(TARGET)
 +CFLAGS  = -g -Wall -Wno-deprecated-declarations -O2
-+LDFLAGS = `allegro-config --libs` -laldmb -ldumb
++LIBS = -laldmb -ldumb `allegro-config --libs`
 +DEFINES = -DDATADIR=\"$(DATADIR)/\"
 +OBJS    =  actor.o    edit.o  map.o       player.o    shooter.o unix.o \
 +           bullet.o   hisc.o  options.o   script.o    timer.o          \
@@ -460,7 +460,7 @@ Based on Hans de Goede's patch for Fedora.
 +TARGET  = alex4
 +
 +$(TARGET): $(OBJS)
-+	$(CC) $(LDFLAGS) -o $@ $^
++	$(CC) -o $@ $^ $(LIBS)
 +
 +%.o: %.c
 +	$(CC) $(CFLAGS) $(DEFINES) -o $@ -c $<
-- 
1.7.2.3

